Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000042Piwigootherpublic2004.07.23 10:102005.01.17 13:32
Reportermatjaz 
Assigned Toplg 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionno change required 
PlatformPCOSWindowsOS VersionXP
Product Version1.3.2 
Target VersionFixed in Version 
Summary0000042: mots-cles (keywords)
DescriptionSur la version 1.3.2, j'ai vu que je pouvais entrer plusieurs mots cles en les separant par des virgules en allant dans categories\infos images.
J'ai essaye mais lorsque je clique sur Valider, seul le premier mot cle est pris en compte (comme si on ne pouvait en ajouter qu'un).


In the release 1.3.2, you can add several keywords to a picture by separating them with comas (by going in categories\picture info).
I tried to do it but for some reason, each time I try to add more than one keyword, the first one and ONLY the first one is gonna be taken into account (meaning that basically it's like if you could only add ONE keyword to each pic).
Steps To ReproduceAller dans admin, categories. Choisir une categorie et cliquer sur infos image. puis essayer d'ajouter plusieurs mots-cles en les separant pas des virgules (que ce soit en les appliquant a toutes les photos ou a une en particuliere). Cliquer sur valider. Seul le premier mot-cle est pris en compte.


Go to admin, categories. Choose any category. Then go to picture info. Write a few (2 or 3) keywords by separating them with comas (be it by applying them to all pictures of the category or just to one of them). Then click on validate (?). Only the first keyword will be applied to your picture(s).
TagsNo tags attached.
browserany
Database engine and version
PHP versionPHP4
Web serverApache 2
Attached Files

- Relationships

-  Notes
(0000030)
plg (manager)
2004.09.11 12:32

in admin/include/functions.php, I found :

// get_keywords returns an array with relevant keywords found in the string
// given in argument. Keywords must be separated by comma in this string.
// keywords must :
// - be longer or equal to 3 characters
// - not contain ', " or blank characters
// - unique in the string ("test,test" -> "test")

Respecting these rules, I've no problem for inserting more than one keyword.

In particular :

- do you add blank space in the textfield ?
- are your keywords longer than 3 characters ?

- Issue History
Date Modified Username Field Change
2004.07.23 10:10 matjaz New Issue
2004.09.11 12:32 plg Note Added: 0000030
2004.09.11 12:32 plg Assigned To => plg
2004.09.11 12:32 plg Status new => acknowledged
2004.10.03 11:13 plg Status acknowledged => resolved
2004.10.03 11:13 plg Resolution open => no change required
2005.01.17 13:32 plg Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker